petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecCUDARestoreArrayRead

Restore a CUDA device pointer previously acquired with VecCUDAGetArrayRead().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUDARestoreArrayRead(Vec v, const PetscScalar **a)

If the data on the host side was previously up to date it will remain so, i.e. data on both the device and the host is up to date. Accessing data on the host side e.g. with VecGetArray() does not incur a device to host data transfer.

### Input Parameter

| v | - the vector
| a | - the CUDA device pointer. This pointer is invalid after VecCUDARestoreArrayRead() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUDAGetArrayRead(), VecCUDAGetArrayWrite(), VecCUDAGetArrayReadWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

### Level

intermediate

### Location

src/vec/vec/impls/seq/seqcuda/veccuda2.cu

### Examples

src/snes/examples/tutorials/ex47cu.cu.html
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages